/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-02 13:17:44
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-09 12:42:56
 * @FilePath: \electron-project\Robot-Al\Robot-Al-Platform-Web\src\renderer\src\main.ts
 * @Description: 入口文件
 */
import ElementPlus from 'element-plus'
import './styles/tailwind.scss'
import './styles/main.scss'
import { createApp } from 'vue'
import App from './App.vue'
import router from '@router'
import { createPinia } from 'pinia'
import zhCn from '@/plugins/zhCnElement' // 引入中文语言包

const app = createApp(App)

app.use(router).use(createPinia()).use(ElementPlus, {
  locale: zhCn,
  size: 'large', // 全局组件尺寸
  zIndex: 3000 // 全局z-index
})

app.mount('#app')
