/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-08 15:58:01
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-10 10:19:20
 * @FilePath: \Robot-Al-Platform-Web\src\renderer\src\mock\pools\logData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import Mock from 'mockjs'

// [
//   {
//     created_at: '2024-06-10  14:22:18',
//     type: '3',
//     content: '系统备份完成'
//   },
//   {
//     created_at: '2024-05-3009:15:47',
//     type: '1',
//     content: '用户登录成功'
//   },
//   {
//     created_at: '2024-06-05  16:45:33',
//     type: '2',
//     content: '数据同步失败'
//   },
//   {
//     created_at: '2024-06-1508:30:12',
//     type: '3',
//     content: '安全审计通过'
//   },
//   {
//     created_at: '2024-05-25  11:05:29',
//     type: '1',
//     content: '新用户注册'
//   },
//   {
//     created_at: '2024-06-08  13:50:01',
//     type: '2',
//     content: 'API调用超时'
//   },
//   {
//     created_at: '2024-06-18  17:22:44',
//     type: '3',
//     content: '版本更新部署'
//   },
//   {
//     created_at: '2024-05-28 10:33:17',
//     type: '1',
//     content: '密码重置请求'
//   },
//   {
//     created_at: '2024-06-12 15:18:09',
//     type: '2',
//     content: '磁盘空间不足'
//   },
//   {
//     created_at: '2024-06-03 09:42:56',
//     type: '3',
//     content: '防火墙配置更新'
//   },
//   {
//     created_at: '2024-06-20 14:05:38',
//     type: '1',
//     content: '订单支付成功'
//   }
// ]

const logCount = 101
const mockLogListData = Mock.mock({
  [`data|${logCount}`]: [
    {
      'id|+1': 35,
      key: function () {
        return this.id.toString()
      },
      type: function () {
        const codeArr = ['1', '2', '3']
        return codeArr[Math.floor(Math.random() * 3)]
      },
      content: '@cparagraph(1, 1)', // 随机生成一段文本
      created_at: '@datetime("yyyy-MM-dd HH:mm:ss")', // 随机生成日期时间
      updated_at: '@datetime("yyyy-MM-dd HH:mm:ss")'
    }
  ]
})

export const logListData = {
  data: { ...mockLogListData, count: logCount }
}
